Draft Facebinder: Difference between revisions

From FreeCAD Documentation
No edit summary
m ({{Code|code=)
Line 23: Line 23:
The facebinder tool can be usedin scripts and [[macros]] by using the following function:
The facebinder tool can be usedin scripts and [[macros]] by using the following function:
</translate>
</translate>
{{Code|code=
<syntaxhighlight>
makeFacebinder ( selectionset )
makeFacebinder ( selectionset )
}}
</syntaxhighlight>
<translate>
<translate>
<!--T:8-->
<!--T:8-->
Line 35: Line 35:
Example:
Example:
</translate>
</translate>
{{Code|code=
<syntaxhighlight>
import Draft, FreeCADGui
import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)
Draft.makeFacebinder(mySelection)
}}
</syntaxhighlight>
<translate>
<translate>
==Limitations== <!--T:10-->
==Limitations== <!--T:10-->

Revision as of 13:46, 1 January 2015

Draft Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
-
See also
None

Description

The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.

How to use

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

import Draft, FreeCADGui
mySelection = FreeCADGui.Selection.getSelectionEx()
Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14